| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::GPSBookmarkOwner Class Reference
Inheritance diagram for Digikam::GPSBookmarkOwner:

## Signals
void | positionSelected (const GPSDataContainer &position)

## Public Member Functions
| GPSBookmarkOwner (GPSItemModel *const gpsItemModel, QWidget *const parent)
BookmarksManager * | bookmarkManager () const
GPSBookmarkModelHelper * | bookmarkModelHelper () const
void | changeAddBookmark (const bool state)
QString | currentTitle () const
QString | currentUrl () const
QMenu * | getMenu () const
void | setPositionAndTitle (const GeoCoordinates &coordinates, const QString &title)